# -*- coding: utf-8 -*-

from rest_framework import permissions, mixins
from rest_framework.viewsets import GenericViewSet
from fcm_django.api.rest_framework import DeviceViewSetMixin

from . import serializers
from ... import models


class DeviceViewSet(
    DeviceViewSetMixin,
    mixins.CreateModelMixin,
    mixins.RetrieveModelMixin,
    GenericViewSet
):
    permission_classes = (permissions.AllowAny,)
    queryset = models.Device.objects.all()
    serializer_class = serializers.DeviceSerializer

