# Generated by Django 3.2.9 on 2021-12-17 15:07

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Device',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date_create', models.DateTimeField(auto_now_add=True, verbose_name='date create')),
                ('date_last_modify', models.DateTimeField(auto_now=True, verbose_name='date last modify')),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('name', models.CharField(blank=True, max_length=255, null=True, verbose_name='Name')),
                ('active', models.BooleanField(default=True, help_text='Inactive devices will not be sent notifications', verbose_name='Is active')),
                ('date_created', models.DateTimeField(auto_now_add=True, null=True, verbose_name='Creation date')),
                ('device_id', models.CharField(blank=True, db_index=True, help_text='Unique device identifier', max_length=255, null=True, verbose_name='Device ID')),
                ('registration_id', models.TextField(verbose_name='Registration token')),
                ('type', models.CharField(choices=[('ios', 'ios'), ('android', 'android'), ('web', 'web')], max_length=10)),
                ('version', models.CharField(max_length=150, verbose_name='version')),
                ('manufacturer', models.CharField(max_length=150, verbose_name='manufacturer')),
                ('reference', models.CharField(blank=True, max_length=150, null=True, verbose_name='reference')),
                ('user', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'device',
                'verbose_name_plural': 'devices',
                'ordering': ('ordering', '-date_last_modify'),
                'permissions': (('list_device', 'Can list device'), ('detail_device', 'Can detail device'), ('disable_device', 'Can disable device')),
            },
        ),
        migrations.AddConstraint(
            model_name='device',
            constraint=models.UniqueConstraint(fields=('device_id', 'registration_id'), name='unique device'),
        ),
    ]
